/**
Action Script library. SystemCapabilities class definition
Copyright (C) 2005  

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/
#ifndef _AS_SYSTEM_CAPABILITIES_HH
#define _AS_SYSTEM_CAPABILITIES_HH
#include "as_object.hh"

class ASSystemCapabilities : public ASObject{
public:
	ASSystemCapabilities(Script *s, Graphics *g);
	~ASSystemCapabilities();
	Function *getFunctionMember(wstring memberName);
	void 	callFunction(Function *f);
	void 	init();
	ASInterface*getNewInstance(Script *s,Graphics *g) { return new ASSystemCapabilities(s,g); }
/*	Properties
	char 	avHardwareDisable;
	char 	hasAccessibility;
	char 	hasAudio;
	char 	hasAudioEncoder;
	char 	hasEmbeddedVideo;
	char 	hasMP3;
	char 	hasPrinting;
	char 	hasScreenBroadcast;
	char 	hasScreenPlayback;
	char 	hasStreamingAudio;
	char 	hasStreamingVideo;
	char 	hasVideoEncoder;
	char 	isDebugger;
	char 	language;
	char 	localFileReadDisable;
	char 	manufacturer;
	char 	os;
	char 	pixelAspectRatio;
	char 	playerType;
	char 	screenColor;
	char 	screenDPI;
	char 	screenResolutionX;
	char 	screenResolutionY;
	char 	serverString;
	char 	version;*/
};
#endif
